JobProfile (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class JobProfile

    java.lang.Object
      org.apache.hadoop.mapred.JobProfile

All Implemented Interfaces:
  Writable

    public class JobProfile

extends Object
implements Writable

A JobProfile is a MapReduce primitive. Tracks a job, whether living or dead.

Constructor Summary
`JobProfile()` Construct an empty `JobProfile`.
`JobProfile(String user, JobID jobid, String jobFile, String url, String name)` Construct a `JobProfile` the userid, jobid, job config-file, job-details url and job name.
`JobProfile(String user, JobID jobid, String jobFile, String url, String name, String queueName)` Construct a `JobProfile` the userid, jobid, job config-file, job-details url and job name.
`JobProfile(String user, String jobid, String jobFile, String url, String name)` Deprecated. use JobProfile(String, JobID, String, String, String) instead

Method Summary
`String` | `getJobFile()` Get the configuration file for the job.
`String` | `getJobId()` Deprecated. use getJobID() instead
`JobID` | `getJobID()` Get the job id.
`String` | `getJobName()` Get the user-specified job name.
`String` | `getQueueName()` Get the name of the queue to which the job is submitted.
`URL` | `getURL()` Get the link to the web-ui for details of the job.
`String` | `getUser()` Get the user id.
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobProfile

    public JobProfile()

  Construct an empty `JobProfile`.

### JobProfile

    public JobProfile(String user,
                      JobID jobid,
                      String jobFile,
                      String url,
                      String name)

  Construct a `JobProfile` the userid, jobid, job config-file, job-details url and job name.

  Parameters:
    `user` - userid of the person who submitted the job.
    `jobid` - id of the job.
    `jobFile` - job configuration file.
    `url` - link to the web-ui for details of the job.
    `name` - user-specified job name.

### JobProfile

    public JobProfile(String user,
                      JobID jobid,
                      String jobFile,
                      String url,
                      String name,
                      String queueName)

  Construct a `JobProfile` the userid, jobid, job config-file, job-details url and job name.

  Parameters:
    `user` - userid of the person who submitted the job.
    `jobid` - id of the job.
    `jobFile` - job configuration file.
    `url` - link to the web-ui for details of the job.
    `name` - user-specified job name.
    `queueName` - name of the queue to which the job is submitted

### JobProfile

    @Deprecated
    public JobProfile(String user,
                                 String jobid,
                                 String jobFile,
                                 String url,
                                 String name)

  Deprecated. use JobProfile(String, JobID, String, String, String) instead

Method Detail

### getUser

    public String getUser()

  Get the user id.

### getJobID

    public JobID getJobID()

  Get the job id.

### getJobId

    @Deprecated
    public String getJobId()

  Deprecated. use getJobID() instead

### getJobFile

    public String getJobFile()

  Get the configuration file for the job.

### getURL

    public URL getURL()

  Get the link to the web-ui for details of the job.

### getJobName

    public String getJobName()

  Get the user-specified job name.

### getQueueName

    public String getQueueName()

  Get the name of the queue to which the job is submitted.

  Returns:
    name of the queue.

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation